Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.text
Class RegionInfo

    java.lang.Object
      java.awt.geom.RectangularShape
          java.awt.geom.Rectangle2D
              java.awt.geom.Rectangle2D.Float
                  org.apache.batik.gvt.text.RegionInfo

All Implemented Interfaces:
  java.lang.Cloneable, java.awt.Shape

public class RegionInfo
extends java.awt.geom.Rectangle2D.Float

This class holds the neccessary information to render a that is defined within the element. Namely it holds the bounds of the region and the desired vertical alignment.

Nested Class Summary

Nested classes inherited from class java.awt.geom.Rectangle2D
`java.awt.geom.Rectangle2D.Double, java.awt.geom.Rectangle2D.Float`

Field Summary

Fields inherited from class java.awt.geom.Rectangle2D.Float
`height, width, x, y`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`RegionInfo(float x, float y, float w, float h, float verticalAlignment)`

Method Summary
`float` | `getVerticalAlignment()` Gets the vertical alignment for this flow region.
`void` | `setVerticalAlignment(float verticalAlignment)` Sets the alignment position of the text within this flow region.

Methods inherited from class java.awt.geom.Rectangle2D.Float
`createIntersection, createUnion, getBounds2D, getHeight, getWidth, getX, getY, isEmpty, outcode, setRect, setRect, setRect, toString`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, equals, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegionInfo

    public RegionInfo(float x,
                      float y,
                      float w,
                      float h,
                      float verticalAlignment)

Method Detail

### getVerticalAlignment

    public float getVerticalAlignment()

  Gets the vertical alignment for this flow region.

  Returns:
    the vertical alignment for this flow region. It will be 0.0 for top, 0.5 for middle and 1.0 for bottom.

### setVerticalAlignment

    public void setVerticalAlignment(float verticalAlignment)

  Sets the alignment position of the text within this flow region. The value must be 0.0 for top, 0.5 for middle and 1.0 for bottom.

  Parameters:
    `verticalAlignment` - the vertical alignment of the text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.